#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - dbus-1 installation
#
# Creation   :  2015-08-17 holbru
# Last update:  $Id: install.sh 100061 2023-04-18 13:46:42Z hbfl $
#
# Copyright (c) 2015-2020 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=dbus-1

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
run_user='messagebus'

/usr/bin/chown ${run_user}:${run_user} /var/lib/dbus
/usr/bin/chown root:${run_user} /usr/libexec/dbus-1/dbus-daemon-launch-helper
/usr/bin/chmod 4750 /usr/libexec/dbus-1/dbus-daemon-launch-helper

if [ -e /etc/machine-id ]
then
    if [ -e /var/lib/dbus/machine-id -a -e /etc/machine-id ]
    then
        /usr/bin/cmp -s /var/lib/dbus/machine-id /etc/machine-id > /dev/null
        if [ $? ]
        then
            /usr/bin/rm -f /var/lib/dbus/machine-id
        fi
    fi
    if [ ! -L /var/lib/dbus/machine-id ]
    then
        /usr/bin/mkdir -p /var/lib/dbus/
        /usr/bin/ln -s /etc/machine-id /var/lib/dbus/machine-id
    fi
fi

# ---------------------------------------------------------------------------
# start $package
# ---------------------------------------------------------------------------
[ -z "${TRANSACTIONAL_UPDATE}" -a -x /usr/bin/systemd-tmpfiles ] &&
    /usr/bin/systemd-tmpfiles --create /usr/lib/tmpfiles.d/dbus.conf || :

if [ ! -x /usr/bin/systemctl ]
then
    /etc/init.d/dbus start
else 
    /usr/bin/rm -f /etc/init.d/dbus
    /usr/bin/rm -f /etc/rc2.d/*dbus
fi

if [ -x /usr/bin/systemctl ]
then
    /usr/bin/systemctl daemon-reload || :
fi


exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
